nxt.shuffling

## Class ShufflingHome.Shuffling

- java.lang.Object
- - nxt.shuffling.ShufflingHome.Shuffling

- Enclosing class:
    ShufflingHome

      public final class ShufflingHome.Shuffling
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAmount()`
    `long` | `getAssigneeAccountId()`
    `short` | `getBlocksRemaining()`
    `ChildChain` | `getChildChain()`
    `byte[]` | `getFullHash()`
    `long` | `getHoldingId()`
    `HoldingType` | `getHoldingType()`
    `long` | `getId()`
    `long` | `getIssuerId()`
    `ShufflingParticipantHome.ShufflingParticipant` | `getLastParticipant()`
    `ShufflingParticipantHome.ShufflingParticipant` | `getParticipant(long accountId)`
    `byte` | `getParticipantCount()`
    `byte[][]` | `getRecipientPublicKeys()`
    `byte` | `getRegistrantCount()`
    `ShufflingParticipantHome` | `getShufflingParticipantHome()`
    `ShufflingStage` | `getStage()`
    `byte[]` | `getStateHash()`
    `ShufflingAttachment` | `process(long accountId, java.lang.String secretPhrase, byte[] recipientPublicKey)`
    `ShufflingCancellationAttachment` | `revealKeySeeds(java.lang.String secretPhrase, long cancellingAccountId, byte[] shufflingStateHash)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getShufflingParticipantHome

          public ShufflingParticipantHome getShufflingParticipantHome()

    - #### getChildChain

          public final ChildChain getChildChain()

    - #### getId

          public long getId()

    - #### getFullHash

          public byte[] getFullHash()

    - #### getHoldingId

          public long getHoldingId()

    - #### getHoldingType

          public HoldingType getHoldingType()

    - #### getIssuerId

          public long getIssuerId()

    - #### getAmount

          public long getAmount()

    - #### getParticipantCount

          public byte getParticipantCount()

    - #### getRegistrantCount

          public byte getRegistrantCount()

    - #### getBlocksRemaining

          public short getBlocksRemaining()

    - #### getStage

          public ShufflingStage getStage()

    - #### getAssigneeAccountId

          public long getAssigneeAccountId()

    - #### getRecipientPublicKeys

          public byte[][] getRecipientPublicKeys()

    - #### getParticipant

          public ShufflingParticipantHome.ShufflingParticipant getParticipant(long accountId)

    - #### getLastParticipant

          public ShufflingParticipantHome.ShufflingParticipant getLastParticipant()

    - #### getStateHash

          public byte[] getStateHash()

    - #### process

          public ShufflingAttachment process(long accountId,
                                             java.lang.String secretPhrase,
                                             byte[] recipientPublicKey)

    - #### revealKeySeeds

          public ShufflingCancellationAttachment revealKeySeeds(java.lang.String secretPhrase,
                                                                long cancellingAccountId,
                                                                byte[] shufflingStateHash)